# KeyRequest

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Number** | Pointer to **int64** |  | [optional] 
**Size** | Pointer to **int64** |  | [optional] 
**AdditionalSlaveSAEIDs** | Pointer to **[]string** |  | [optional] 
**ExtensionMandatory** | Pointer to **[]map[string]string** |  | [optional] 
**ExtensionOptional** | Pointer to **[]map[string]string** |  | [optional] 

## Methods

### NewKeyRequest

`func NewKeyRequest() *KeyRequest`

NewKeyRequest instantiates a new KeyRequest object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewKeyRequestWithDefaults

`func NewKeyRequestWithDefaults() *KeyRequest`

NewKeyRequestWithDefaults instantiates a new KeyRequest object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetNumber

`func (o *KeyRequest) GetNumber() int64`

GetNumber returns the Number field if non-nil, zero value otherwise.

### GetNumberOk

`func (o *KeyRequest) GetNumberOk() (*int64, bool)`

GetNumberOk returns a tuple with the Number field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetNumber

`func (o *KeyRequest) SetNumber(v int64)`

SetNumber sets Number field to given value.

### HasNumber

`func (o *KeyRequest) HasNumber() bool`

HasNumber returns a boolean if a field has been set.

### GetSize

`func (o *KeyRequest) GetSize() int64`

GetSize returns the Size field if non-nil, zero value otherwise.

### GetSizeOk

`func (o *KeyRequest) GetSizeOk() (*int64, bool)`

GetSizeOk returns a tuple with the Size field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetSize

`func (o *KeyRequest) SetSize(v int64)`

SetSize sets Size field to given value.

### HasSize

`func (o *KeyRequest) HasSize() bool`

HasSize returns a boolean if a field has been set.

### GetAdditionalSlaveSAEIDs

`func (o *KeyRequest) GetAdditionalSlaveSAEIDs() []string`

GetAdditionalSlaveSAEIDs returns the AdditionalSlaveSAEIDs field if non-nil, zero value otherwise.

### GetAdditionalSlaveSAEIDsOk

`func (o *KeyRequest) GetAdditionalSlaveSAEIDsOk() (*[]string, bool)`

GetAdditionalSlaveSAEIDsOk returns a tuple with the AdditionalSlaveSAEIDs field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetAdditionalSlaveSAEIDs

`func (o *KeyRequest) SetAdditionalSlaveSAEIDs(v []string)`

SetAdditionalSlaveSAEIDs sets AdditionalSlaveSAEIDs field to given value.

### HasAdditionalSlaveSAEIDs

`func (o *KeyRequest) HasAdditionalSlaveSAEIDs() bool`

HasAdditionalSlaveSAEIDs returns a boolean if a field has been set.

### GetExtensionMandatory

`func (o *KeyRequest) GetExtensionMandatory() []map[string]string`

GetExtensionMandatory returns the ExtensionMandatory field if non-nil, zero value otherwise.

### GetExtensionMandatoryOk

`func (o *KeyRequest) GetExtensionMandatoryOk() (*[]map[string]string, bool)`

GetExtensionMandatoryOk returns a tuple with the ExtensionMandatory field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetExtensionMandatory

`func (o *KeyRequest) SetExtensionMandatory(v []map[string]string)`

SetExtensionMandatory sets ExtensionMandatory field to given value.

### HasExtensionMandatory

`func (o *KeyRequest) HasExtensionMandatory() bool`

HasExtensionMandatory returns a boolean if a field has been set.

### GetExtensionOptional

`func (o *KeyRequest) GetExtensionOptional() []map[string]string`

GetExtensionOptional returns the ExtensionOptional field if non-nil, zero value otherwise.

### GetExtensionOptionalOk

`func (o *KeyRequest) GetExtensionOptionalOk() (*[]map[string]string, bool)`

GetExtensionOptionalOk returns a tuple with the ExtensionOptional field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetExtensionOptional

`func (o *KeyRequest) SetExtensionOptional(v []map[string]string)`

SetExtensionOptional sets ExtensionOptional field to given value.

### HasExtensionOptional

`func (o *KeyRequest) HasExtensionOptional() bool`

HasExtensionOptional returns a boolean if a field has been set.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


